Package com.smartgwt.client.types

# Enum RecordLayout

java.lang.Object
java.lang.Enum<RecordLayout>
com.smartgwt.client.types.RecordLayout

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<RecordLayout>`, `Constable`

public enum RecordLayout extends Enum<RecordLayout> implements ValueEnum
Controls the style of TableView record display

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SUMMARY_DATA`
  Show `title`, `description` and `data` fields only
  `SUMMARY_FULL`
  Show `title`, `description`, `info` and `data` fields similar to the iPhoneOS Mail application
  `SUMMARY_INFO`
  Show `title`, `description` and `info` fields only
  `TITLE_DESCRIPTION`
  Show `title` and `description` fields only
  `TITLE_ONLY`
  Show `title field` only

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static RecordLayout`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RecordLayout[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TITLE_ONLY

    public static final RecordLayout TITLE_ONLY
    Show `title field` only

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "titleOnly".

  - ### TITLE_DESCRIPTION

    public static final RecordLayout TITLE_DESCRIPTION
    Show `title` and `description` fields only

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "titleAndDescription".

  - ### SUMMARY_INFO

    public static final RecordLayout SUMMARY_INFO
    Show `title`, `description` and `info` fields only

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summaryInfo".

  - ### SUMMARY_DATA

    public static final RecordLayout SUMMARY_DATA
    Show `title`, `description` and `data` fields only

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summaryData".

  - ### SUMMARY_FULL

    public static final RecordLayout SUMMARY_FULL
    Show `title`, `description`, `info` and `data` fields similar to the iPhoneOS Mail application

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "summaryFull".

- ## Method Details

  - ### values

    public static RecordLayout[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RecordLayout valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`